Ask Your Question
1

Can't open MS Word documents after upgrade to Ubuntu 12.04 [closed]

asked 2012-07-25 20:08:04 +0200

updated 2015-08-27 13:30:35 +0200

Alex Kemp gravatar image

I just upgraded my Ubuntu laptop from 11.04 to 12.04. I tried to open two documents created by MS Word 97-2003 and they are blank. In MS Word on a Windows system and in WordView on Ubuntu, they look fine with the content I expected. Any idea what's wrong?

Version is LibreOffice 3.5.4.2; Build ID: 350m1(Build:2).

I'd attach the relevant files if I were allowed ("allowed file types are '.jpg', '.jpeg', '.gif', '.bmp', '.png', '.tiff', '.odt', '.ods', '.odp', '.odg', '.odc', '.odf', '.odi', '.odm', '.ott', '.ots', '.otp', '.otg', '.odb'").

Instead, here are download links: first .doc file, second .doc file.

Documents also attached to Qubit's bug report.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Alex Kemp
close date 2015-10-17 14:53:06.149165

Comments

Could you please add exactly which version of LibreOffice you are using? (Obtain this information from Help – About.)

Astron gravatar imageAstron ( 2012-07-26 01:55:05 +0200 )edit
1

@Hugh, @Netherbury -- If you're able to share these documents with us, that could really help -- could you please post copies of the files that you're trying to open here? We can try to reproduce your problem.

qubit gravatar imagequbit ( 2012-07-26 05:14:18 +0200 )edit

LibreOffice 3.5.4.2; Build ID: 350m1(Build:2)

How do I post copies of the files?

Hugh gravatar imageHugh ( 2012-07-26 17:56:02 +0200 )edit

Hi @Hugh -- To post an attachment, edit your question (use the "edit" link) and then use the paperclip icon in the toolbar (mouseover says "attachment Ctrl-F")

qubit gravatar imagequbit ( 2012-07-26 18:15:24 +0200 )edit

Thanks @qubit. Yes, I figured that out. But .doc files are not allowed. Should I change the file extension and upload them that way?

Hugh gravatar imageHugh ( 2012-07-26 18:23:21 +0200 )edit

@Hugh -- Yeah, I see that .doc and .zip are not allowed as allowed file extensions. (1) I'll go file a bug to see if we can't get more filetypes allowed here. (2) bugzilla doesn't doesn't have the same upload restrictions, so I'll go open a bug for that (underlying problem might be a bug, anyhow)

qubit gravatar imagequbit ( 2012-07-26 18:28:45 +0200 )edit

Bug about upload restrictions on the Ask.LO site is fdo#52553.

qubit gravatar imagequbit ( 2012-07-26 18:38:21 +0200 )edit

@Hugh - sorry, the Ask.LO site is throwing various errors for me. Please go file a bug, upload your example files, and link to it from here. thanks

qubit gravatar imagequbit ( 2012-07-26 18:49:09 +0200 )edit

@qubit - I filed the bug but it was rejected as a duplicate of yours. I attached the example files to your bug report as now noted in the text of my question

Hugh gravatar imageHugh ( 2012-07-27 20:59:07 +0200 )edit

3 Answers

Sort by » oldest newest most voted
0

answered 2012-07-28 23:54:45 +0200

qubit gravatar image

@Hugh - Update:

I've tested the file using various builds in the 3.5 and 3.6-alpha series, but have not yet been able to reproduce the problem (see the bug report for more).

As we're getting really close to releasing LO 3.6 (and as you seem gung-ho about finding a fix for this problem :-), you could try installing a release candidate and see if that resolves the issue: http://dev-builds.libreoffice.org/pre-releases/

A newer build may also be available through the libreoffice-ppa.

edit flag offensive delete link more

Comments

@qubit: I tried to install libobasis3.6-sdk_3.6.0.4-104_i386 and got the following error: "Dependency is not satisfiable: libobasis3.6-core01." Is there something else I need to be doing?

Hugh gravatar imageHugh ( 2012-07-30 00:42:40 +0200 )edit

@Hugh - That might mean a couple of different things, including (1) that you tried to install the language pack first, or (2) that the package conflicts with the installed version of LO. You could try replacing w/this, or perhaps try the 3.5.5 build from the ppa (latter might be easier to install!)

qubit gravatar imagequbit ( 2012-07-30 04:42:04 +0200 )edit

@qubit - I didn't try to install any other packages at all. Just now I tried installing 3.5.5 with Ubuntu Software Center, Synaptic and apt-get and got some variation of "Dependency is not satisfiable: ttf-sil-gentium-basic" on all three.

Hugh gravatar imageHugh ( 2012-07-30 16:55:47 +0200 )edit

@qubit - Then I found libreoffice_3.5.5~rc3-0ubuntu1~ppa1_i386-2.deb, tried installing it and got "Dependency is not satisfiable: libreoffice-core (= 3.5.5.5~rc3-0ubuntu1~ppa1)."

Hugh gravatar imageHugh ( 2012-07-30 16:57:20 +0200 )edit

did you add the ppa and then go through that route, or just download the single .deb and try to add it piecemeal? (sorry, I'm far away from my 12.04 test machine so I can only flail my arms and make educated guesses :-)

qubit gravatar imagequbit ( 2012-07-30 17:00:25 +0200 )edit

Hmm... weird about that unsatisfiable font dependency. (did you get any useful info from trying to apt get install the named package?) package appears to be there linky

qubit gravatar imagequbit ( 2012-07-30 17:02:42 +0200 )edit

Not sure how, but I managed to get 3.5.5 installed. Tried to load the docs in question, which worked, then checked version, which was 3.5.4! Killed running libreoffice processes, then tried again, which also worked, and checked version, which was 3.5.5. I suppose I'll never know what was wrong.

Hugh gravatar imageHugh ( 2012-07-30 19:42:58 +0200 )edit
1

answered 2012-07-25 23:30:59 +0200

Netherbury gravatar image

Thank your for posting this question. I was about to do so myself. Although this is not the solution you (and I) are ultimately looking for, a work-around is to install Abiword, open the Word Doc in Abiword, then save under a new name as a doc file. Libre will then open it. This will get you going until the bug is corrected.

edit flag offensive delete link more

Comments

Thanks @Netherbury. Fortunately, all I needed to do at the time was forward them to someone else. But this is a good workaround.

Hugh gravatar imageHugh ( 2012-07-26 18:24:31 +0200 )edit
0

answered 2012-07-28 08:10:01 +0200

qubit gravatar image

Hi @Hugh,

Thanks for the update. Sorry that your bug report got rejected as a duplicate, but good initiative in tossing the files on my first bug report :-)

It looks like the first file opens and displays correctly for me using LibreOffice 3.4.4 on Ubuntu 11.10, so that gives us a good starting point for doing some hunting for where/when this regression was introduced. I'll find some time tomorrow to run bibisect3.5 and post updates to the bug report.

edit flag offensive delete link more

Comments

Thanks @qubit, let me know if there's anything I can do to help you.

Hugh gravatar imageHugh ( 2012-07-28 16:33:11 +0200 )edit

Question Tools

2 followers

Stats

Asked: 2012-07-25 20:08:04 +0200

Seen: 2,148 times

Last updated: Jul 28 '12